package com.palmnest.application.dto;

/**
 * 系统功能点树
 * 菜单树
 * @author yb
 * @since 2014-05-30
 *
 */
public class OutTreeDTO {
	private String id;    	 	//id
	private String pId; 		//父id
	private String name; 		//节点名称
	private boolean checked; 	//是否勾选
	private String icon;  		//自定义图标，相对路径
	private String url;  		//url地址
	private String level;		//树节点级别
	private String operateStr;  //操作权限
	
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getpId() {
		return pId;
	}
	public void setpId(String pId) {
		this.pId = pId;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public boolean isChecked() {
		return checked;
	}
	public void setChecked(boolean checked) {
		this.checked = checked;
	}
	public String getIcon() {
		return icon;
	}
	public void setIcon(String icon) {
		this.icon = icon;
	}
	
	public String getUrl() {
		return url;
	}
	public void setUrl(String url) {
		this.url = url;
	}
	public String getLevel() {
		return level;
	}
	public void setLevel(String level) {
		this.level = level;
	}
	public String getOperateStr() {
		return operateStr;
	}
	public void setOperateStr(String operateStr) {
		this.operateStr = operateStr;
	}
	
}
